Welcome to Xfinity Help & Support Forums
Find solutions, share knowledge, and get answers from customers and experts

New to the Community? Start here.

5,844,976

members

1,210

online

36,680

topics

Top

Adobe Flash Player 11 and Mac OS X 10.5 and lower not compatible

ANSWERED
New Poster

Adobe Flash Player 11 and Mac OS X 10.5 and lower not compatible

Hello,

 

I cannot play my Xfinity TV... even though I've downloaded Adobe Flash Player a bunch of times AND Have tried using different browsers, I am still getting the same "oops, we can't play your video because you need this" message.

 

What am I doing wrong?

 

Thanks

Accepted Solution

Re: Adobe Flash Player


JRLADV wrote:

I just got off the phone with tech support and the person I talked to did not have a clue.

 

They seem to be in denial about the problem with using Flash 10.3.x.

 

I sure wish the forum admin. would get involved and answer the question as to why people who are using MAC OS 10.5.8 and Flash 10.3.x can't view videos and what Xfinity is doing about the problem.


 

donnallyson wrote:

It seems from what Joe said in the response to my comment above that we are just out of luck as their system now only supports Adobe Flash Player 11.

 

Given the amount paid for this service, I don't find that to be a reasonable option (upgrade my operating system even though I'm only experiencing this issue with xfinity TV and not in other arenas). Online viewing was one of the last remaining reasons for me to stay with xfinity/Comcast TV given the price increase several months ago. That said, if this is the final word and they have no intention of making their system compatible to the older Flash Player version even though this is a problem for a number of their users, it will be time for me to find a new provider.


 

When Flash released version 11, they decided to no longer to support Mac OS X 10.5.

 

We have updated our videos to use version 11.1 and higher to improve video playback.

 

Sorry,
Joe
XfinityTV.com/Xfinity.com Support
Twitter: @XfinityTVJoe

View answer in context
Regular Visitor

Flash suddenly not working

Xfinity TV worked perfectly yesterday. Today, when I logged into my account and visited my queue, I receive the following error when I click on a program to play:

 

Uh-Oh...We need Flash!!

We have detected that your computer needs the Adobe Flash Player to properly view Xfinity TV.

Downloading the latest version of this software will allow you to experience the full version of the site as it was designed with simpler, stress-free navigation, more customization options, and tons of new content.

TELL ME HOW TO INSTALL CURRENT VERSION OF FLASH

 

I am on a Mac OS (10.5.8) with Firefox (which is up to date). I have installed the Flash update from the link and restarted the browser and it does not work. I have deleted the plugin in the library and reinstalled - still not working. I have restarted the computer entirely as well as deleting my cache and restarting the browser and nothing works. I have also tried switching browsers to Safari and that hasn't worked either.

New Poster

Re: Adobe Flash Player

I am having the EXACT same problem. Its asking me to download Flash Player, which I have done & installed. It just keeps giving the same error message repeatedly. I called Comcast, and the customer service people--after transferring me 7-9 different times, had no clue and basically told me to go on Adobe website and figure it out myself. Horrible customer service experience.

New Poster

Re: Adobe Flash Player

I have the same problem as well. I uninstalled, installed many times and to no veil. I was watching xfinity tv a minute ago until I decided to restart my computer and then this happens. Any help is much appreciated!!!

New Poster

Re: Flash suddenly not working

Exact same problem here, with the exact same results ---> nothing.

New Poster

Keeps saying I need Flash.

Can't play shows on my computer. Keeps saying I need Flash. I've downloaded Flash several times and it keeps saying I need to?

EDIT: Removed personal information from post so it would not get removed. -ComcastJoe

Tags (1)
Frequent Visitor

Re: Keeps saying I need Flash.

I have been told that we can't watch because comcast does not have program to deal with 64 explorer on 32.  Maybe the online rep can expand on  this.

New Poster

Re: Adobe Flash Player

Same situation here-unbelievable!!!

New Poster

Re: Flash suddenly not working

Same thing!!!! Reinstalled, restarted, still cannot watch xfinity.

 

New Poster

Re: Flash suddenly not working

Same here. Worked fine yesterday, doesn't work today. Very frustrating. Clearly a change on the side of Xfinity. Comcast, what's up??

New Poster

Xfinity keeps saying i need to update adobe flash (which i have...)

when i click on certain shows to watch online i keep getting a message saying i need to update my adobe flash player. when i do, it installs correctly and i restart my browser and still get the same message. i have tried uninstalling and reinstalling flash, restarting my browser and computer, ensured the plug-in is enabled and still nothing.

 

i am using mac os 10.5.8 with leopard and mozilla and have updated the latest flash player for this OS (10.3.183.29). according to the trouble shooting site at adobe that tells you whether or not flash is installed correctly with the correct version (http://helpx.adobe.com/flash-player.html), i should be all set (youtube and other flash supported sites still work fine), but xfinity keeps giving me the update message.  i'm at a loss as to what to do and am unable to watch many of the videos i should be able to on the site. any help any one has on this would be great, thanks.

New Poster

Re: Xfinity keeps saying i need to update adobe flash (which i have...)

I'm having the same issue. :-/

Official Employee

Re: Keeps saying I need Flash.


healthis wrote:

Can't play shows on my computer. Keeps saying I need Flash. I've downloaded Flash several times and it keeps saying I need to?

EDIT: Removed personal information from post so it would not get removed. -ComcastJoe


Flash version 11.1 or higher is now required to watch some videos on Xfinity.com/tv. Please go here to update:

 

http://get.adobe.com/flashplayer/

 

Make sure you go through the whole installation process after you download it.

 

Thanks,
Joe
XfinityTV.com/Xfinity.com Support
Twitter: @XfinityTVJoe


Community Icon
I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: Product, Support, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am an Offical Comcast Employee.
Official Employees are from multiple teams within Comcast.
We ask that you post publicly so people with similar questions may benefit.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am a Comcast Employee.
Please post so people with similar questions may benefit.
Was your question answered?
Mark a Best Answer!solution Icon

Official Employee

Re: Xfinity keeps saying i need to update adobe flash (which i have...)

Hi all,

 

Flash version 11.1 or higher is now required to watch some videos on Xfinity.com/tv. If you do not have at least version 11.1 installed, you will receive a UH-OH....We Need Flash message. Our team is aware that the messaging should be more clear and we are currently working on it now to avoid any confusion in the future.

 

Please go here to update to Flash version 11.4:

 

http://get.adobe.com/flashplayer/

 

Make sure you go through the whole installation process after you download it.

 

Thanks and sorry for the confusion,
Joe
XfinityTV.com/Xfinity.com Support
Twitter: @XfinityTVJoe


Community Icon
I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: Product, Support, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am an Offical Comcast Employee.
Official Employees are from multiple teams within Comcast.
We ask that you post publicly so people with similar questions may benefit.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am a Comcast Employee.
Please post so people with similar questions may benefit.
Was your question answered?
Mark a Best Answer!solution Icon

Regular Visitor

Re: Xfinity keeps saying i need to update adobe flash (which i have...)

Comcast Joe -

 

Downloading Flash Player 11 is not an option for me. I have the most updated Flash Player for my operating system - Mac 10.5.8 - which is Adobe Flash Player version 10.3.183.29. 

 

New Poster

Re: Xfinity keeps saying i need to update adobe flash (which i have...)

Downloading/installing Flash Player version 11 is also not an option for me. I don't want to have to pay for a software upgrade to be able to use my paid Xfinity service.

 

Please find a way to allow us Mac users using v 10.3.183.29 to watch shows, too.

Official Employee

Re: Xfinity keeps saying i need to update adobe flash (which i have...)


donnallyson wrote:

Comcast Joe -

 

Downloading Flash Player 11 is not an option for me. I have the most updated Flash Player for my operating system - Mac 10.5.8 - which is Adobe Flash Player version 10.3.183.29. 

 


I am sorry but Flash Player 11 only supports Mac OS X 10.6 and higher.

 

Sorry,

Joe
XfinityTV.com/Xfinity.com Support
Twitter: @XfinityTVJoe


Community Icon
I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: Product, Support, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am an Offical Comcast Employee.
Official Employees are from multiple teams within Comcast.
We ask that you post publicly so people with similar questions may benefit.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am a Comcast Employee.
Please post so people with similar questions may benefit.
Was your question answered?
Mark a Best Answer!solution Icon

Frequent Visitor

Re: Adobe Flash Player

I just got off the phone with tech support and the person I talked to did not have a clue.

 

They seem to be in denial about the problem with using Flash 10.3.x.

 

I sure wish the forum admin. would get involved and answer the question as to why people who are using MAC OS 10.5.8 and Flash 10.3.x can't view videos and what Xfinity is doing about the problem.

Regular Visitor

Re: Adobe Flash Player

It seems from what Joe said in the response to my comment above that we are just out of luck as their system now only supports Adobe Flash Player 11.

 

Given the amount paid for this service, I don't find that to be a reasonable option (upgrade my operating system even though I'm only experiencing this issue with xfinity TV and not in other arenas). Online viewing was one of the last remaining reasons for me to stay with xfinity/Comcast TV given the price increase several months ago. That said, if this is the final word and they have no intention of making their system compatible to the older Flash Player version even though this is a problem for a number of their users, it will be time for me to find a new provider.

Official Employee

Re: Adobe Flash Player


JRLADV wrote:

I just got off the phone with tech support and the person I talked to did not have a clue.

 

They seem to be in denial about the problem with using Flash 10.3.x.

 

I sure wish the forum admin. would get involved and answer the question as to why people who are using MAC OS 10.5.8 and Flash 10.3.x can't view videos and what Xfinity is doing about the problem.


 

donnallyson wrote:

It seems from what Joe said in the response to my comment above that we are just out of luck as their system now only supports Adobe Flash Player 11.

 

Given the amount paid for this service, I don't find that to be a reasonable option (upgrade my operating system even though I'm only experiencing this issue with xfinity TV and not in other arenas). Online viewing was one of the last remaining reasons for me to stay with xfinity/Comcast TV given the price increase several months ago. That said, if this is the final word and they have no intention of making their system compatible to the older Flash Player version even though this is a problem for a number of their users, it will be time for me to find a new provider.


 

When Flash released version 11, they decided to no longer to support Mac OS X 10.5.

 

We have updated our videos to use version 11.1 and higher to improve video playback.

 

Sorry,
Joe
XfinityTV.com/Xfinity.com Support
Twitter: @XfinityTVJoe


Community Icon
I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: Product, Support, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am an Offical Comcast Employee.
Official Employees are from multiple teams within Comcast.
We ask that you post publicly so people with similar questions may benefit.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am a Comcast Employee.
Please post so people with similar questions may benefit.
Was your question answered?
Mark a Best Answer!solution Icon

Frequent Visitor

Re: Adobe Flash Player

Well Joe,

 

You have confirmed what I have suspected for some time - Comcast could care less about its customers.

 

Time to look at other service providers.

New Poster

Comcast doesn't detect flash player

All of a sudden Xfinity/Comcast doesn't detect my Flash Player. I've attempted to download half a dozen times. Need help resolving this issue.

New Poster

old mac

My mac is old---OS10.4. Does this mean that I am locked out of all replays?
Tags (1)
New Poster

Adobe flash

So much for customer service! I'll be shopping for a new provider as well.
Frequent Visitor

Re: Keeps saying I need Flash.

Well I used your site and again loaded the same program and again it does not allow to watch programs other that general TV.  You did not answer the question about explorer 64 bit and 32 bit.  Is it true that we cannot watch because you are not compatible with 64 bit

Contributor

Not so "old" computer that won't watch some Xfinity Video.

I have a Mid 2009 Mac Mini with Mac OSX 10.5.8 (Leopard).  8 gig RAM.  I just found out I can't watch some Xfinity video because requirement is Mac OSX 10.6 (Snow Leopard).  Well Excuse Me!!   I'll just throw this $ 600 computer (which works excellent) in the garbage.  

 

Is the Flash Player such a big change for an OS that I missed by 1 month?  I have no issues anywhere else on the WHOLE INTERNET.  Wait till that next Comcast survey where they give me an open box.  I'll fill that one up like I did the last one.

 

Totally unacceptable.  If Comcast allowed me to buy TV channels ala carte I could afford a new computer every 2 years!!   Good Grief........................

Contributor

Re: Not so "old" computer that won't watch some Xfinity Video.

I just went to the video I couldn't watch on my wife's antique Dell which is at least 8 years old and had no problem watching the Xfinity Video.  This makes no sense.  I am watching the ad for American Horror Story: Asylum.  

 

The requirements for Xfinity video are loony or else favor PC's over Macs (apparently).  

New Poster

Re: Keeps saying I need Flash.

I have a Mac and the lates version is only 10.3.183.29 so does that mean I can no longer watch certain videos??

Silver Problem Solver

Re: Not so "old" computer that won't watch some Xfinity Video.

Have you checked to see if your Mac can handle the new OS? At least Mac's Operating System upgrades are cheaper than for Windows.

Link for the OS upgrade from Apple $19.95 from the App Store

http://www.apple.com/osx/

 

New Poster

Re: Keeps saying I need Flash.

I just started an xfinity account yesterday. solely to watch espn online. yesterday i watched monday night football and sportcenter without a hitch, now it is telling me i need to install flash, which I did, and it keeps telling me I have to again. Then Why could I watch yesterday? I have an intel mac running 10.4.11. Can anyone help? This is lame.

New Poster

Re: Not so "old" computer that won't watch some Xfinity Video.

I'm having the same problem just starting yesterday. I dowloaded Flash three times and it didn't work.

New Poster

Re: Keeps saying I need Flash.

I am getting the same error, after making multiple attempts to install a Flash update that I didn't really want, now you are saying the Flash version available for Mac is not good enough to watch the videos?  I was very surprised when this started this evening, it certainly wasn't happening yesterday.

Frequent Visitor

Adobe Flash player installed on Mac, but can not watch shows now

Having a problem watching my shows online now. Your site requested to install the latest adobe flash play which I did and every time I try to play a show it keeps on stating "Uh-Oh... We need Flash!!. Can you please advise how to correct this issue.

Official Employee

Re: Keeps saying I need Flash.

Hi all,

 

We have updated our videos to use version 11.1 and higher to improve video playback. However, Flash 11 and higher does not support Mac OS X 10.5.

 

Now, Flash version 11.1 or higher is now required to watch some videos on Xfinity.com/tv. Please go here to update:

 

http://get.adobe.com/flashplayer/

 

Make sure you go through the whole installation process after you download it.

 

Thanks,
Joe
XfinityTV.com/Xfinity.com Support
Twitter: @XfinityTVJoe


Community Icon
I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: Product, Support, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am an Offical Comcast Employee.
Official Employees are from multiple teams within Comcast.
We ask that you post publicly so people with similar questions may benefit.
Was your question answered? Mark a Best Answer!solution Icon
Community Icon
I am a Comcast Employee.
Please post so people with similar questions may benefit.
Was your question answered?
Mark a Best Answer!solution Icon

Frequent Visitor

Re: kindle fire

Joe,

 

You don't seem to get what is going on here.

 

People are fed-up with Comcast changing thing that are not broken.  

 

Your statement that the company switched to the new Flash Player to up-grade quality is a bunch of hog wash.

 

There were no major problems with the "old" Flash Player.

 

Why can't Comcast help its subscribers or do you just not care?

 

 

New Poster

Is the only answer to the Flash player situation to use standalone Hulu instead?

Hulu is currently (as of an hour ago) still working with Mac computers that aren't upgraded to the Flash version that Comcast has chosen.  Which is very odd considering that Xfinity seems to either be partnered with Hulu or sharing technology...

 

Most technologies are made to be backwards compatible, at least with a version or two of the product being upgraded (i.e. Android), so it's ridiculous to see this situation.  Of course it's no secret that Apple and Adobe aren't good buddies, perhaps this is just another way for Adobe to anger Apple users without making it appear that they are trying to do just that.

New Poster

Re: kindle fire

See if you can use Hulu as a standalone.  If you stay on basic, it's free.  Though we shouldn't have to pay for Plus to watch TV when we already pay Comcast.

 

New Poster

I updated Flash but some videos still won't play & I'm told to download Flash again.

On some videos I cannot get them to play because it says I need to install Flash. I have done that and redone that and I still get the same message. I'm running Firefox on a Mac if that makes a difference. Any help is greatly appreciated! Thank you in advance.

New Poster

Re: Xfinity keeps saying i need to update adobe flash (which i have...)

Same here. Please someone explain how to get around this problem - I have not encountered this until today on both computers.  The company that I work for also uses comcast and mac - will make sure that they switch if this is going to be unresovable!!!!!

New Poster

Re: Xfinity keeps saying i need to update adobe flash (which i have...)

Joe, 

Did you really just say sorry to all the people that can no longer access xfinity videos - are you not even going to check with the powers that be to see what they want to do to keep their customers?  

We just recently recieved a call asking us to switch all of our services to comcast (home-line, security, etc.) - can't say that we will be considering that if this is the type of response given when there is a problem - "sorry". 

New Poster

Re: I updated Flash but some videos still won't play & I'm told to download Flash

I have the same problem is anyone answer this? Is this the typical comcast where they just let you flounder around like a lazy life gaurd. Comcast will you ever learn what it is like to actually provide support to users?

Frequent Visitor

Re: Keeps saying I need Flash.

So...I've just found out that -- even if I wanted to -- I can't upgrade my Macbook to OS 10.6 or higher (which is apparently required to run Flash Player 11.1.) And since Xfinity has suddenly decided to require Flash 11.1 or higher to watch their videos, I guess they are expecting me (and it sounds like from this forum, a lot of others) to buy a new computer in order to use a service I already pay a lot of money for. I don't have issues watching videos on any other site. Why should they require me to do this? Everything was working just fine two days ago.  

 

This is a thoughtless thing to do to your customers, Xfinity.

 

 

Service Expert
Moved:

Re: Adobe Flash Player 11 and Mac OS X 10.5 and lower not compatible

 

post by jacobsever removed for violating posting guidelines.

 

Forum Guidelines

(which everyone should read before making his/her first post) state

Please Don't

 

 2. Use Profanity

Please keep your posts clean. Our forums have an automated profanity filter to block out inappropriate language. Please do not circumvent it by finding colorful ways to approximate or disguise those words. If you are caught trying to bypass the filters in any way, your posting privileges may be revoked.

 

 




New Poster

Adobe Flash Player !!!!!

I've never had any issues watching Xfinity TV on my Mac laptop til now.... litterally one show ended and I went to watch the next one and now its saying I need to install the latest Adobe Flash Player to be able to view it.... i download it like they reccomended and checked my comp and it is installed and running properly but they are still saying I need to install it..... UGH iv tried everything but i dont understand what the problem is if its installed and running..... anyone else have this problem?? Thanks :/

New Poster

Flash player update

for two days I've been getting an error message indicating the need to upgrade Fash player. I've done this. I also switched from Firefox to safafi. I cleared history and caches. I deleted plug ins and reinstalled the latest Flash player. Some shows will play (Ice Road Truckers)but not all. Seems like the new episode wil not play. (Modern Family) I have a mac.

New Poster

flasherror

Well, now I can't see anything! It keeps telling me to upgrade my flass, I did twice. and xfinity still tells me to upgrade. So, frustrating. What the heck do I do? 

New Poster

Re: Flash player update

me too. so tired of this. I'm getting ready to switch to uverse if this keeps up

New Poster

Re: Adobe Flash Player !!!!!

I do! it sucks! must be a "we hate macs!" app. I so want to drop this service I can taste it.

New Poster

Re: flasherror

I am having the same problem. My browser is completely updated and I don't need to upgrade, but it still wont let me watch any videos.

New Poster

adobe flash player

comcast says i need adobe flash player. this is after i have been watching shows for months without a problem.  i downloaded the latest version of flash player.  adobe says the latest version is installed. comcst still says i don't have it. help

Xfinity Forum Archive
About the archive project

Xfinity Forum Archive...

This is an archived section of the community.

Content in this area has been identified as outdated or irrelevant.

This change was done in an effort to make the forum easier to use and to keep only the most helpful and recent content active.

Post your questions in the Xfinity Community